Skip to content
CARP Docs
Ask AISystemLightDark

Get one

Copy MarkdownOpen inView as MarkdownOpen in Scira AIOpen in ChatGPTOpen in ClaudeOpen in Cursor

Deprecated

This endpoint is deprecated. Do not use it in new code.
GET
/api/deployments/{deployment-id}/data-points/{data-point-id}
bearer
headerAuthorizationBearer <token>

Provide the username and password of the user

deployment-id*string
data-point-id*integer
Formatint32

Response body

OK

*/*
  1. response
createdBy?string|null
createdAt?|
Formatdate-time
updatedBy?string|null
updatedAt?|
Formatdate-time
id?|
Formatint32
deploymentId?string|null
carpHeader?|null
carpBody?|null
storageName?string|null
Example request
curl -X GET 'https://dev.carp.dk/api/deployments/string/data-points/0'
Example response
{  "createdBy": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedBy": "string",  "updatedAt": "2019-08-24T14:15:22Z",  "id": 0,  "deploymentId": "string",  "carpHeader": {    "studyId": "string",    "userId": "string",    "dataFormat": {      "property1": null,      "property2": null    },    "triggerId": "string",    "deviceRoleName": "string",    "uploadTime": "2019-08-24T14:15:22Z",    "startTime": "2019-08-24T14:15:22Z",    "endTime": "2019-08-24T14:15:22Z"  },  "carpBody": {    "property1": null,    "property2": null  },  "storageName": "string"}

Quick links

Page · DocumentationCARP DocumentationPage · DocumentationIntroductionPage · DocumentationQuickstartPage · DocumentationTerminologyPage · DocumentationArchitecture